CRGB2DImage Class Reference

`#include <mia/2d/rgbimageio.hh>`

Inherits mia::CIOData.

## Public Types

typedef std::shared_ptr< CRGB2DImage > | Pointer
| unifying pointer definition for this class.
typedef CRGB2DImage | type
| data type for the plug-in handler magic

## Public Member Functions

CRGB2DImage * | clone () const
| CRGB2DImage (const mia::C2DBounds &size)
const mia::C2DBounds & | get_size () const
unsigned char * | pixel ()
const unsigned char * | pixel () const

## Static Public Attributes

static const char * | data_descr
| data type description used by the plug-in handler to locate the plug-ins

## Detailed Description

Definition at line 44 of file rgbimageio.hh.

## Member Typedef Documentation

## Pointer

typedef std::shared_ptr<CRGB2DImage> CRGB2DImage::Pointer

unifying pointer definition for this class.

Definition at line 48 of file rgbimageio.hh.

## type

typedef CRGB2DImage CRGB2DImage::type

data type for the plug-in handler magic

Definition at line 54 of file rgbimageio.hh.

## Constructor & Destructor Documentation

## CRGB2DImage()

CRGB2DImage::CRGB2DImage | ( | const mia::C2DBounds & | size | ) |

Create an image of the given size

Parameters

  size |

Referenced by clone().

## Member Function Documentation

## clone()

CRGB2DImage * CRGB2DImage::clone | ( |  | ) | const

References CRGB2DImage().

## get_size()

const mia::C2DBounds & CRGB2DImage::get_size | ( |  | ) | const

Returns
  the dimensions of the image

## pixel() [1/2]

unsigned char * CRGB2DImage::pixel | ( |  | ) |

Returns
  a raw read-write pointer to the pixel data

## pixel() [2/2]

const unsigned char * CRGB2DImage::pixel | ( |  | ) | const

Returns
  a raw read-only pointer to the pixel data

## Field Documentation

## data_descr

const char* CRGB2DImage::data_descr

static

data type description used by the plug-in handler to locate the plug-ins

Definition at line 51 of file rgbimageio.hh.

The documentation for this class was generated from the following file:

- rgbimageio.hh